Package org.eclipse.birt.report.model.api

# Class GroupElementFactory

java.lang.Object
org.eclipse.birt.report.model.api.GroupElementFactory

public class GroupElementFactory extends Object
This class is a factory class to instantiate a group element handle.

## Constructor Summary

Constructors
Constructor
Description
`GroupElementFactory()`

## Method Summary

Modifier and Type
Method
Description
`static GroupElementHandle`
`newGroupElement(ModuleHandle moduleHandle, List selectedElements)`
Instantiates a group element handle with the given module handle and selected design element list.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### GroupElementFactory

public GroupElementFactory()

## Method Details

### newGroupElement

public static GroupElementHandle newGroupElement(ModuleHandle moduleHandle, List selectedElements)
Instantiates a group element handle with the given module handle and selected design element list. Both the module handle and the element list can be null or empty.

Parameters:
  `moduleHandle` - the module handle of the selected element list, generally it is the root module of them
  `selectedElements` - the selected design element list
Returns:
  the generated group element handle